Caches - Flush

Tells a cache to write all dirty data to the Storage Target(s). During the flush, clients will see errors returned until the flush is complete.

POST https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.StorageCache/caches/{cacheName}/flush?api-version=2026-01-01

URI Parameters

Name In Required Type Description
cacheName
path True

string

pattern: ^[-0-9a-zA-Z_]{1,80}$

Name of cache. Length of name must not be greater than 80 and chars must be from the [-0-9a-zA-Z_] char class.

resourceGroupName
path True

string

minLength: 1
maxLength: 90

The name of the resource group. The name is case insensitive.

subscriptionId
path True

string

minLength: 1

The ID of the target subscription.

api-version
query True

string

minLength: 1

The API version to use for this operation.

Responses

Name Type Description
200 OK

The request has succeeded.

202 Accepted

Resource operation accepted.

Headers

  • Azure-AsyncOperation: string
  • Location: string
  • Retry-After: integer
204 No Content

There is no content to send for this request, but the headers may be useful.

Other Status Codes

CloudError

An unexpected error response.

Security

azure_auth

Azure Active Directory OAuth2 Flow.

Type: oauth2
Flow: implicit
Authorization URL: https://login.microsoftonline.com/common/oauth2/authorize

Scopes

Name Description
user_impersonation impersonate your user account

Examples

Caches_Flush

Sample request

POST https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/scgroup/providers/Microsoft.StorageCache/caches/sc/flush?api-version=2026-01-01

Sample response

Azure-AsyncOperation: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/providers/Microsoft.StorageCache/locations/eastus/ascOperations/00000000-0000-0000-0000-000000000000?api-version=2026-01-01
Location: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/providers/Microsoft.StorageCache/locations/eastus/ascOperations/00000000-0000-0000-0000-000000000000?monitor=true&api-version=2026-01-01

Definitions

Name Description
CloudError

An error response.

CloudErrorBody

An error response.

CloudError

An error response.

Name Type Description
error

CloudErrorBody

The body of the error.

CloudErrorBody

An error response.

Name Type Description
code

string

An identifier for the error. Codes are invariant and are intended to be consumed programmatically.

details

CloudErrorBody[]

A list of additional details about the error.

message

string

A message describing the error, intended to be suitable for display in a user interface.

target

string

The target of the particular error. For example, the name of the property in error.